#
# spec file for package python-Cheroot
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-cheroot
Version:        5.4.0
Release:        lp150.1.7
License:        BSD-3-Clause
Summary:        Highly-optimized, pure-python HTTP server
Url:            https://github.com/cherrypy/cheroot
Group:          Development/Languages/Python
Source:         https://files.pythonhosted.org/packages/source/C/Cheroot/cheroot-%{version}.tar.gz
BuildRequires:  python-rpm-macros
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module setuptools_scm}
# the package and distribution name is lowercase-cheroot,
# but PyPI claims the name is capital-Cheroot
# *smacks head against desk*
Provides:       python-Cheroot = %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%python_subpackages

%description
Cheroot is the high-performance, pure-Python HTTP server used by CherryPy.

%prep
%setup -q -n cheroot-%{version}

%build
%python_build

%install
%python_install

#%%check
# apparently the test suite is nonfunctional and is exercised by CherryPy only

%files %{python_files}
%defattr(-,root,root,-)
%{python_sitelib}/*

%changelog
* Fri Mar 31 2017 jmatejek@suse.com
- initial commit
